Debian Bug report logs - #374104
O: apt-listbugs -- Lists critical bugs before each apt

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mohammed Adnène Trojette <adn+deb@diwi.org>

Date: Sat, 17 Jun 2006 12:18:05 UTC

Severity: normal

Fixed in version apt-listbugs/0.0.51

Done: Junichi Uekawa <dancer@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Masato Taruishi <taru@debian.org>, <wnpp@debian.org>:
Bug#374104; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
New Bug report received and forwarded. Copy sent to Masato Taruishi <taru@debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mohammed Adnène Trojette <adn+deb@diwi.org>
To: submit@bugs.debian.org
Subject: O: apt-listbugs -- Lists critical bugs before each apt installation
Date: Sat, 17 Jun 2006 14:05:30 +0200
Package: wnpp
Severity: normal

The current maintainer of apt-listbugs, Masato Taruishi <taru@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package now.

If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: apt-listbugs
Binary: apt-listbugs
Version: 0.0.49
Priority: optional
Section: admin
Maintainer: Masato Taruishi <taru@debian.org>
Build-Depends: debhelper (>> 3.0.0), cdbs
Build-Depends-Indep: ruby1.8, rdtool, gettext
Architecture: all
Standards-Version: 3.6.1
Format: 1.0
Directory: pool/main/a/apt-listbugs
Files:
 888204b748ef7f2901d6d9bf2f60de20 559 apt-listbugs_0.0.49.dsc
 dd51539092f6da9e0d5317c627762bf1 66298 apt-listbugs_0.0.49.tar.gz

Package: apt-listbugs
Priority: optional
Section: admin
Installed-Size: 360
Maintainer: Masato Taruishi <taru@debian.org>
Architecture: all
Version: 0.0.49
Depends: ruby (>= 1.8), libruby1.8 (>= 1.8.1), libdpkg-ruby1.8, apt, libzlib-ruby1.8, libintl-gettext-ruby1.8, libxml-parser-ruby1.8
Suggests: reportbug, debianutils (>= 2.0) | www-browser | w3m
Filename: pool/main/a/apt-listbugs/apt-listbugs_0.0.49_all.deb
Size: 70866
MD5sum: 0088b6abe0a91de2e17a7f0e7fb9d887
Description: Lists critical bugs before each apt installation
 apt-listbugs is a tool which retrieves bug reports from the Debian
 Bug Tracking System and lists them. Especially, it is intended to
 be invoked before each upgrade/installation by apt in order to check
 whether the upgrade/installation is safe.
 .
 Many developers and users prefer the unstable version
 of Debian for its new features and packages.  apt, the
 usual upgrade tool, can break your system by
 installing a buggy package.
 .
 apt-listbugs lists critical bug reports from the Debian
 Bug Tracking System.  Run it before apt to see if
 an upgrade or installation is known to be unsafe.
Tag: admin::package-management, interface::commandline, made-of::lang:ruby, protocol::http, role::sw:utility, suite::debian, works-with::bugs, works-with::software:package

-- 
adn
Mohammed Adnène Trojette



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#374104; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 374104@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: debian-devel@debian.or.jp, 374104@bugs.debian.org
Subject: apt-listbugs orphaned
Date: Sun, 18 Jun 2006 01:30:09 +0900
たるいしさんが MIA 判定されたようです.
apt-listbugs が orphan になっています.

ruby できるかた,どなたか拾いませんか?

内部資料についてはここによくまとめてもらっています:

http://www.netfort.gr.jp/~dancer/column/data/debianmeetingresume200510.pdf


上川
-- 
dancer@{debian.org,netfort.gr.jp}   Debian Project



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#374104; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Masato Taruishi" <taru0216@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 374104@bugs.debian.org (full text, mbox):

From: "Masato Taruishi" <taru0216@gmail.com>
To: 374104@bugs.debian.org
Subject: Re: Bug#374104: O: apt-listbugs -- Lists critical bugs before each apt installation
Date: Mon, 19 Jun 2006 20:05:29 +0900
[Message part 1 (text/plain, inline)]
Sorry about my recent activity to Debian but I don't have
time to work for Debian recently. If anyone is interested in
working for my packages, please go ahead to take over them.

Thanks a lot for your effort work.

On 6/17/06, Mohammed Adnène Trojette <adn+deb@diwi.org> wrote:
>
> Package: wnpp
> Severity: normal
>
> The current maintainer of apt-listbugs, Masato Taruishi <taru@debian.org>,
> is apparently not active anymore.  Therefore, I orphan this package now.
>
> If you want to be the new maintainer, please take it -- see
> http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
> instructions how to adopt a package properly.
>
> Some information about this package:
>
> Package: apt-listbugs
> Binary: apt-listbugs
> Version: 0.0.49
> Priority: optional
> Section: admin
> Maintainer: Masato Taruishi <taru@debian.org>
> Build-Depends: debhelper (>> 3.0.0), cdbs
> Build-Depends-Indep: ruby1.8, rdtool, gettext
> Architecture: all
> Standards-Version: 3.6.1
> Format: 1.0
> Directory: pool/main/a/apt-listbugs
> Files:
> 888204b748ef7f2901d6d9bf2f60de20 559 apt-listbugs_0.0.49.dsc
> dd51539092f6da9e0d5317c627762bf1 66298 apt-listbugs_0.0.49.tar.gz
>
> Package: apt-listbugs
> Priority: optional
> Section: admin
> Installed-Size: 360
> Maintainer: Masato Taruishi <taru@debian.org>
> Architecture: all
> Version: 0.0.49
> Depends: ruby (>= 1.8), libruby1.8 (>= 1.8.1), libdpkg-ruby1.8, apt,
> libzlib-ruby1.8, libintl-gettext-ruby1.8, libxml-parser-ruby1.8
> Suggests: reportbug, debianutils (>= 2.0) | www-browser | w3m
> Filename: pool/main/a/apt-listbugs/apt-listbugs_0.0.49_all.deb
> Size: 70866
> MD5sum: 0088b6abe0a91de2e17a7f0e7fb9d887
> Description: Lists critical bugs before each apt installation
> apt-listbugs is a tool which retrieves bug reports from the Debian
> Bug Tracking System and lists them. Especially, it is intended to
> be invoked before each upgrade/installation by apt in order to check
> whether the upgrade/installation is safe.
> .
> Many developers and users prefer the unstable version
> of Debian for its new features and packages.  apt, the
> usual upgrade tool, can break your system by
> installing a buggy package.
> .
> apt-listbugs lists critical bug reports from the Debian
> Bug Tracking System.  Run it before apt to see if
> an upgrade or installation is known to be unsafe.
> Tag: admin::package-management, interface::commandline,
> made-of::lang:ruby, protocol::http, role::sw:utility, suite::debian,
> works-with::bugs, works-with::software:package
>
> --
> adn
> Mohammed Adnène Trojette
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#374104; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to James Westby <jw+debian@jameswestby.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 374104@bugs.debian.org (full text, mbox):

From: James Westby <jw+debian@jameswestby.net>
To: 374104@bugs.debian.org
Subject: Re: O: apt-listbugs
Date: Wed, 28 Jun 2006 23:05:34 +0100
Hi,

I have been doing some work on solving the simple bug reports of
apt-listbugs. I do not intend to adopt the package, but hopefully I can
do enough to warrant a QA team upload. I have been sending my patches to
the BTS so that they will not be lost at any rate.

I am not adverse to anyone ITAing tis package, but can I suggest that if
someone does they contact me so that my work does not go to waste, and
they don't have to collect all the patches from the bts.

Thanks,

James

-- 
  James Westby
  jw+debian@jameswestby.net
  http://jameswestby.net/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#374104; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Nigel Jones" <nigelj@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 374104@bugs.debian.org (full text, mbox):

From: "Nigel Jones" <nigelj@gmail.com>
To: 374104@bugs.debian.org
Subject: Re: O: apt-listbugs -- Lists critical bugs before each apt installation
Date: Sun, 9 Jul 2006 18:26:24 +1200
I may be interested in adopting this, depends how soon I can have a
good look at the code, and get a sponser, should know by Thursday.

-- 
N Jones



Owner recorded as "Nigel Jones" <nigelj@gmail.com>. Request was from "Nigel Jones" <nigelj@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "Nigel Jones" <nigelj@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "Nigel Jones" <nigelj@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Nigel Jones" <nigelj@gmail.com>:
Bug#374104; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to James Westby <jw+debian@jameswestby.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Nigel Jones" <nigelj@gmail.com>. Full text and rfc822 format available.

Message #38 received at 374104@bugs.debian.org (full text, mbox):

From: James Westby <jw+debian@jameswestby.net>
To: Nigel Jones <nigelj@gmail.com>
Cc: 374104@bugs.debian.org
Subject: Re: apt-listbugs
Date: Mon, 10 Jul 2006 17:13:12 +0100
[Cced the bug again so that there is a record]

On (09/07/06 19:09), Nigel Jones wrote:
> Hi, I have noticed your interest in Debian bug 374104 [1], the
> orphanage of apt-listbugs [2], and I am wondering if you are maybe
> planning to ITAing it yourself, if not, I will do so, and if that is
> the case, be really keen to fix certain bugs with you, i.e. the ones
> you have created patches for etc.

As I said in my first mail to the bug I don't really plan to adopt it,
just to tidy it up, as the whole package is RC-buggy in my opinion. 

I have sent patches to the BTS where a clean patch was possible for the
bug report, but I have much more done in my local copy. I can let you
have my latest source if you let me know how you want it. It is an svn
repo that starts from the current unstable package at the moment. 

I would be interested in working with you until the packages are in a
decent shape again, how do you feel about this? My current version (I
think) fixes all the bugs that do not require a major overhaul of the
code. It also leaves the version tracking etc. problems as it appears
the problem is within the code that generates the files that
apt-listbugs uses to get the bug states, and I do not have access to
that code. I believe that it runs on merkel, so maybe a DD can access it
and make it publically available. 

> 
> Also out of interest, are you a DD?

No, unfortuanately not. I was going to get a QA upload done, but as you
are adopting then you can seek out a proper sponsor.

James

-- 
  James Westby
  jw+debian@jameswestby.net
  http://jameswestby.net/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#374104; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Nigel Jones" <nigelj@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #43 received at 374104@bugs.debian.org (full text, mbox):

From: "Nigel Jones" <nigelj@gmail.com>
To: "James Westby" <jw+debian@jameswestby.net>
Cc: 374104@bugs.debian.org, 334697@bugs.debian.org, 323626@bugs.debian.org
Subject: Re: apt-listbugs
Date: Tue, 11 Jul 2006 08:19:55 +1200
So, far I have been attempting to incorporate your patches into the
code, but I have decided to start from scratch again, and try and kill
the RC bug (334697), I have been in contact with Aba (Andreas) and we
should have some fresh data files built (based off the output of
bts2ldap), I'm sure it can be easily phased by apt-listbugs with a bit
of work.

The code which i've seen (on the qa.debian.org side), is just making a
copy of all the .status files from the bts spool, which I believe
sometime soon are going to be no more, which seems to suggest that a
complete rewrite of the checking side of the program.

Sadly however, it may not be possible to run the code at say midnight
when the archive gets updates, due to what I am told is already busy
load on qa., so we may need a message in listbugs stating that the
data may be upto 12/24 hours out of date, we'll get to that when we
come to it.

Regards,

Nigel

[CCed to all relevant bug trackers I think I included all related]

On 7/11/06, James Westby <jw+debian@jameswestby.net> wrote:
> [Cced the bug again so that there is a record]
>
> On (09/07/06 19:09), Nigel Jones wrote:
> > Hi, I have noticed your interest in Debian bug 374104 [1], the
> > orphanage of apt-listbugs [2], and I am wondering if you are maybe
> > planning to ITAing it yourself, if not, I will do so, and if that is
> > the case, be really keen to fix certain bugs with you, i.e. the ones
> > you have created patches for etc.
>
> As I said in my first mail to the bug I don't really plan to adopt it,
> just to tidy it up, as the whole package is RC-buggy in my opinion.
>
> I have sent patches to the BTS where a clean patch was possible for the
> bug report, but I have much more done in my local copy. I can let you
> have my latest source if you let me know how you want it. It is an svn
> repo that starts from the current unstable package at the moment.
>
> I would be interested in working with you until the packages are in a
> decent shape again, how do you feel about this? My current version (I
> think) fixes all the bugs that do not require a major overhaul of the
> code. It also leaves the version tracking etc. problems as it appears
> the problem is within the code that generates the files that
> apt-listbugs uses to get the bug states, and I do not have access to
> that code. I believe that it runs on merkel, so maybe a DD can access it
> and make it publically available.
>
> >
> > Also out of interest, are you a DD?
>
> No, unfortuanately not. I was going to get a QA upload done, but as you
> are adopting then you can seek out a proper sponsor.
>
> James
>
> --
>   James Westby
>   jw+debian@jameswestby.net
>   http://jameswestby.net/
>
>


-- 
N Jones



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "Nigel Jones" <nigelj@gmail.com>:
Bug#374104; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to James Westby <jw+debian@jameswestby.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "Nigel Jones" <nigelj@gmail.com>. Full text and rfc822 format available.

Message #48 received at 374104@bugs.debian.org (full text, mbox):

From: James Westby <jw+debian@jameswestby.net>
To: Nigel Jones <nigelj@gmail.com>
Cc: 374104@bugs.debian.org, 334697@bugs.debian.org, 323626@bugs.debian.org
Subject: Re: apt-listbugs
Date: Mon, 10 Jul 2006 21:35:17 +0100
On (11/07/06 08:19), Nigel Jones wrote:
> So, far I have been attempting to incorporate your patches into the
> code, but I have decided to start from scratch again, and try and kill
> the RC bug (334697), I have been in contact with Aba (Andreas) and we
> should have some fresh data files built (based off the output of
> bts2ldap), I'm sure it can be easily phased by apt-listbugs with a bit
> of work.

apt-listbugs shouldn't need much modification unless you modify the
format or location of the files. I'm sure your work will go a long way
to fixing all of the problems though.

Again, I'll say that I have a complete source package with all of my
modifications included that you could use as a base. The modifications
are away form the version-tracking and bug-handling code for the most
part, so changes should be easy to handle.

I'm unsure about the wisdom of having the code that generates the files
not publically accessible, as this to me seems like part of the source
of apt-listbugs. I'm sure that there is no legal argument to that
effect, but it seems to go against the spirit of the project. It also
hinders contributions, as only a few people can see the code and so
diagnose bugs in it, and provide patches that might have been able to
fix the problem long ago. Perhaps this is something you could consider
as maintainer of the package.

> 
> The code which i've seen (on the qa.debian.org side), is just making a
> copy of all the .status files from the bts spool, which I believe
> sometime soon are going to be no more, which seems to suggest that a
> complete rewrite of the checking side of the program.

This might be a good idea anyway. From what I have seen these files are
the source of the bugs related to this, and the reason the package is RC
buggy in the first place. In my opinion most of the important bugs
should also be RC, but it's not my place to elevate them (though most
will probably be fixed along with the RC one by the same changes).

> 
> Sadly however, it may not be possible to run the code at say midnight
> when the archive gets updates, due to what I am told is already busy
> load on qa., so we may need a message in listbugs stating that the
> data may be upto 12/24 hours out of date, we'll get to that when we
> come to it.

This makes sense, though I'm not sure it needs to be runtime output,
it could just be in README and perhaps the package description.

James

-- 
  James Westby
  jw+debian@jameswestby.net
  http://jameswestby.net/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#374104; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Nigel Jones" <nigelj@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #53 received at 374104@bugs.debian.org (full text, mbox):

From: "Nigel Jones" <nigelj@gmail.com>
To: "James Westby" <jw+debian@jameswestby.net>, 374104@bugs.debian.org
Cc: 334697@bugs.debian.org, 323626@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#374104: apt-listbugs
Date: Tue, 11 Jul 2006 11:19:08 +1200
# Change 323626 to serious as per reasoning below:
severity 323626 serious
thanks control

On 7/11/06, James Westby <jw+debian@jameswestby.net> wrote:
> On (11/07/06 08:19), Nigel Jones wrote:
> > So, far I have been attempting to incorporate your patches into the
> > code, but I have decided to start from scratch again, and try and kill
> > the RC bug (334697), I have been in contact with Aba (Andreas) and we
> > should have some fresh data files built (based off the output of
> > bts2ldap), I'm sure it can be easily phased by apt-listbugs with a bit
> > of work.
>
> apt-listbugs shouldn't need much modification unless you modify the
> format or location of the files. I'm sure your work will go a long way
> to fixing all of the problems though.
>
> Again, I'll say that I have a complete source package with all of my
> modifications included that you could use as a base. The modifications
> are away form the version-tracking and bug-handling code for the most
> part, so changes should be easy to handle.
If you don't mind, I'll apply them one by one, just to make sure, it's
not that I don't trust you, it just means I can make sure that they
are properly in etc and can say for sure, as maintainer that they
*are* fixed.
>
> I'm unsure about the wisdom of having the code that generates the files
> not publically accessible, as this to me seems like part of the source
> of apt-listbugs. I'm sure that there is no legal argument to that
> effect, but it seems to go against the spirit of the project. It also
> hinders contributions, as only a few people can see the code and so
> diagnose bugs in it, and provide patches that might have been able to
> fix the problem long ago. Perhaps this is something you could consider
> as maintainer of the package.
If your talking about the old script, I can get you links to it, but
seriously, it's just a couple of copies from /org/bugs.debian.org/

If your talking about the new script, which has not been designed yet
(from my knowledge), then I am assuming that Andreas will release it
to the community, and if so, i'll actually package that with
apt-listbugs (as a seperate package if need be).
>
> >
> > The code which i've seen (on the qa.debian.org side), is just making a
> > copy of all the .status files from the bts spool, which I believe
> > sometime soon are going to be no more, which seems to suggest that a
> > complete rewrite of the checking side of the program.
>
> This might be a good idea anyway. From what I have seen these files are
> the source of the bugs related to this, and the reason the package is RC
> buggy in the first place. In my opinion most of the important bugs
> should also be RC, but it's not my place to elevate them (though most
> will probably be fixed along with the RC one by the same changes).
I'd have to look at the bugs again fully, but from memory they are
correctly labeled, there is one here that should be marked as policy,
which I have set in this email. (It's basicly a clone of this one, but
RC none the less).
>
> >
> > Sadly however, it may not be possible to run the code at say midnight
> > when the archive gets updates, due to what I am told is already busy
> > load on qa., so we may need a message in listbugs stating that the
> > data may be upto 12/24 hours out of date, we'll get to that when we
> > come to it.
>
> This makes sense, though I'm not sure it needs to be runtime output,
> it could just be in README and perhaps the package description.
I'm sure we'd have more #374104's due to peoples lack of reading
READMEs, a better option in my opinion, is have the message, which can
be disabled after the first run.  As in, say

<apt download actions here>
W: apt-listbugs data may not be current due to technical limitations
on the data host, to read more about this, and for instructions to
disable this message please see /usr/share/doc/apt-listbugs/README
<continue>

Of course, I will have to change the warning message to better suit
the various languages.
>
> James
>
> --
>   James Westby
>   jw+debian@jameswestby.net
>   http://jameswestby.net/
>
>
>

Hope this reply covers everything that I had not mentioned before.

-- 
N Jones



Owner changed from "Nigel Jones" <nigelj@gmail.com> to Nigel Jones <nigel@nigelj.com>. Request was from Nigel Jones <nigel@nigelj.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Nigel Jones <nigel@nigelj.com>:
Bug#374104; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Nigel Jones" <nigel@nigelj.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Nigel Jones <nigel@nigelj.com>. Full text and rfc822 format available.

Message #60 received at 374104@bugs.debian.org (full text, mbox):

From: "Nigel Jones" <nigel@nigelj.com>
To: 374104@bugs.debian.org
Cc: control@bugs.debian.org
Date: Wed, 9 Aug 2006 11:15:41 +1200 (NZST)
noowner 374104
retitle 374104 O: apt-listbugs -- Lists critical bugs before each apt
installation

thanks

Not interested in adopting the package now.

Hope someone else will.




Removed annotation that Bug was owned by Nigel Jones <nigel@nigelj.com>. Request was from "Nigel Jones" <nigel@nigelj.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "Nigel Jones" <nigel@nigelj.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Aníbal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#374104; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #71 received at 374104@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: control@bugs.debian.org, 374104@bugs.debian.org, debian-devel@debian.or.jp
Subject: ITA: apt-listbugs
Date: Mon, 18 Sep 2006 10:06:30 +0900
retitle 374104 O: apt-listbugs -- Lists critical bugs before each apt

# close server errors that are since recovered.
close 381350
close 334697
close 293162
close 341357
thanks

FWIW, I hate ruby, but I'll hold on to the package at least for etch.
Someone please pick up after I get a good look at this package.

regards,
	junichi
-- 
dancer@{debian.org,netfort.gr.jp}   Debian Project



Changed Bug title. Request was from Junichi Uekawa <dancer@netfort.gr.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Junichi Uekawa <dancer@netfort.gr.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Junichi Uekawa <dancer@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #80 received at 374104-close@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@debian.org>
To: 374104-close@bugs.debian.org
Subject: Bug#374104: fixed in apt-listbugs 0.0.51
Date: Sun, 17 Sep 2006 21:32:08 -0700
Source: apt-listbugs
Source-Version: 0.0.51

We believe that the bug you reported is fixed in the latest version of
apt-listbugs, which is due to be installed in the Debian FTP archive:

apt-listbugs_0.0.51.dsc
  to pool/main/a/apt-listbugs/apt-listbugs_0.0.51.dsc
apt-listbugs_0.0.51.tar.gz
  to pool/main/a/apt-listbugs/apt-listbugs_0.0.51.tar.gz
apt-listbugs_0.0.51_all.deb
  to pool/main/a/apt-listbugs/apt-listbugs_0.0.51_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 374104@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Junichi Uekawa <dancer@debian.org> (supplier of updated apt-listbugs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 18 Sep 2006 13:20:04 +0900
Source: apt-listbugs
Binary: apt-listbugs
Architecture: source all
Version: 0.0.51
Distribution: unstable
Urgency: low
Maintainer: Junichi Uekawa <dancer@debian.org>
Changed-By: Junichi Uekawa <dancer@debian.org>
Description: 
 apt-listbugs - Lists critical bugs before each apt installation
Closes: 245232 253812 284434 304471 341148 341150 341844 349469 362671 374104
Changes: 
 apt-listbugs (0.0.51) unstable; urgency=low
 .
   * New maintainer. (closes: #374104)
   - README.Debian, copyright: update.
 .
   * Standards-Version: 3.7.2
   * Bug fix: "apt-listbugs: bad control file parsing; sends the long
     description to dpkg --compare-versions", thanks to James Westby
     (Closes: #362671).
   * Bug fix: "apt-listbugs: fails with not in gzip format errors", thanks
     to James Westby  (Closes: #245232).
 .
     tested with
     echo ../apt-listbugs_0.0.50_all.deb |  /usr/sbin/apt-listbugs apt
 .
   * Remove absolute paths of programs from maintainer scripts.
     (Closes: #341148)
   * Bug fix: "[PATCH] grammar error in apt-listbugs", thanks to Thierry
     Moisan (Closes: #341844).
   * Bug fix: "apt-listbugs: suggests reportbug but silently does nothing
     if it is not installed", thanks to Ian Campbell (Closes: #253812).
   * Pass -q to savelog in the cron script to prevent mails being sent to
     system administrator if all goes well. (Closes: #284434)
   * Bug fix: "apt-listbugs: Correction for HTML output: &gt ->
     &gt;", thanks to Frederic Bothamy (Closes: #304471).
   * Adjust Description in debian/control to have consistent line lengths.
     (Closes: #341150)
   * Remove empty debian/docs.
   * Bug fix: "apt-listbugs: [manual page] list all severities in options
     -t (bug type)", thanks to Jari Aalto (Closes: #349469).
   * Bump Build-Depends on debhelper to 5.0.0
   * fix copyright file to have the new FSF address
Files: 
 a37fcca5b58c67dcba9b71769ab214ab 560 admin optional apt-listbugs_0.0.51.dsc
 1b1c4ade71eb239cec0c38c491baa19a 73376 admin optional apt-listbugs_0.0.51.tar.gz
 fee24b94dc9d741dd34d040bc5c1da14 78426 admin optional apt-listbugs_0.0.51_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFDh7B2Dd9TugeVcERAhtcAJwJE171I21gHUP3XE8vhPY6p1odmQCeJcLu
Ptcwz8ds4pWTXDNMjna8jKM=
=UTma
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 11:14:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:41:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.